package de.ctdo.bunti.dao;

import de.ctdo.bunti.model.Room;
import org.springframework.orm.hibernate3.support.HibernateDaoSupport;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author: lucas
 * @date: 15.03.12 22:01
 */
public final class RoomsDAOImpl extends HibernateDaoSupport implements RoomsDAO {

    public RoomsDAOImpl() {
        addDummyRooms();
    }

    private void addDummyRooms() {

        
    }
    
    @Override
    public List<Room> getRooms() {
        return getHibernateTemplate().loadAll(Room.class);
    }

    @Override
    public Room getRoom(int id) {
        return (Room) getHibernateTemplate().get(Room.class, new Integer(id));
    }

    @Override
    public Room addRoom(Room room) {
        getHibernateTemplate().save(room);
        return room;
    }

    @Override
    public void removeRoom(int id) {
        getHibernateTemplate().delete(getRoom(id));
    }
}
